:root {
  --max-content-width: 1200px;
  --main-font: "montserrat", sans-serif;
  --base-font: "montserrat", sans-serif;
  --content-padding: 40px;
  --half-content-width: calc(var(--max-content-width) / 2);
  --gp-slideout-width: 547px !important;
  --middle-section-pad: 76px;
  --full-section-pad: 144px;
  --first-section-pad-top: var(--full-section-pad);
  --first-section-pad-bot: var(--middle-section-pad);
  --last-section-pad-top: var(--full-section-pad);
  --last-section-pad-bot: var(--full-section-pad);
  --footer-widgets-container-pad-top: 50px;
  --footer-widgets-container-pad-bot: 100px;
  --footer-logo-pad-top: 71px;
}

@media (max-width: 767px) {
  :root {
    --content-padding: 30px;
    --gp-slideout-width: 100% !important;
  }
}

/*Colors*/

.color-primary {
  color: var(--primary);
}

.color-secondary {
  color: var(--secondary);
}

.color-neutral1 {
  color: var(--neutral1);
}

.color-neutral2 {
  color: var(--neutral2);
}

.color-neutral3 {
  color: var(--neutral3);
}

.color-neutral4 {
  color: var(--neutral4);
}

.color-neutral5 {
  color: var(--neutral5);
}

.color-neutral6 {
  color: var(--neutral6);
}

.color-success {
  color: var(--success);
}

.color-danger {
  color: var(--danger);
}

.color-warning {
  color: var(--warning);
}

.color-info {
  color: var(--info);
}

.bg-primary {
  background: var(--primary);
}

.bg-secondary {
  background: var(--secondary);
}

.bg-neutral1 {
  background: var(--neutral1);
}

.bg-neutral2 {
  background: var(--neutral2);
}

.bg-neutral3 {
  background: var(--neutral3);
}

.bg-neutral4 {
  background: var(--neutral4);
}

.bg-neutral5 {
  background: var(--neutral5);
}

.bg-neutral6 {
  background: var(--neutral6);
}

.bg-success {
  background: var(--success);
}

.bg-danger {
  background: var(--danger);
}

.bg-warning {
  background: var(--warning);
}

.bg-info {
  background: var(--info);
}

/*Buttons*/
.btn,
div[class*="is-style-btn-"] > .wp-block-button__link,
.masonry-load-more a {
  display: inline-block;
  border-radius: 0 !important;
  font-family: var(--base-font);
  text-align: center;
}

div[class*="is-style-btn-"] > .wp-block-button__link,
.masonry-load-more a,
.btn-lg {
  padding: 0.75rem 1.563rem !important;
  font-size: 0.75rem !important;
  font-weight: 600;
  letter-spacing: 0.156rem;
  text-transform: uppercase;
}

.btn-sm {
  padding: 0.5rem 1.5rem !important;
  font-family: var(--base-font);
  font-size: 0.75rem;
  font-weight: 600;
  letter-spacing: 2.5px;
  line-height: 1.25rem;
  text-transform: uppercase;
}
.is-style-btn-primary > .wp-block-button__link,
.btn.btn-primary {
  background: var(--neutral6);
  color: var(--neutral1);
}

.is-style-btn-primary > .wp-block-button__link:hover,
.btn.btn-primary:hover {
  background: var(--neutral5);
}

.is-style-btn-secondary > .wp-block-button__link,
.btn.btn-secondary {
  background: var(--neutral1);
  color: var(--neutral6);
}

.is-style-btn-secondary > .wp-block-button__link:hover,
.btn.btn-secondary:hover {
  background: var(--neutral3);
}

.is-style-btn-default > .wp-block-button__link,
.btn.btn-default {
  background: var(--neutral4);
  color: var(--neutral1);
}

.is-style-btn-default > .wp-block-button__link:hover,
.btn.btn-default:hover {
  background: var(--neutral5);
}

.is-style-btn-outline-primary > .wp-block-button__link,
.btn.btn-outline-primary {
  border: 1px solid var(--neutral6);
  background: transparent;
  color: var(--neutral6);
}

.is-style-btn-outline-primary > .wp-block-button__link:hover,
.btn.btn-outline-primary:hover {
  background: var(--neutral6);
  color: var(--neutral1);
}

.is-style-btn-outline-secondary > .wp-block-button__link,
.btn.btn-outline-secondary {
  border: 1px solid var(--neutral1);
  background: transparent;
  color: var(--neutral1);
}

.is-style-btn-outline-secondary > .wp-block-button__link:hover,
.btn.btn-outline-secondary:hover {
  border: 1px solid var(--neutral4);
  background: var(--neutral4);
  color: var(--neutral1);
}

/*Back to top*/

.generate-back-to-top {
  display: flex;
  height: 40px;
  align-items: center;
  justify-content: center;
  border-radius: 0 !important;
}

.generate-back-to-top .gp-icon svg {
  top: 0;
}

/* Default text alignements */

.text-left {
  text-align: left;
}
.text-center {
  text-align: center;
}
.text-right {
  text-align: right;
}
.text-justify {
  text-align: justify;
}
.text-boxed {
  max-width: 772px;
  margin: auto;
}

.mnr-full-link {
  position: absolute;
  z-index: 3;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.mnr-content-full-section,
.mnr-full-section {
  width: 100%;
}

.mnr-content-section {
  max-width: var(--max-content-width);
}

.mnr-content-full-section,
.mnr-content-section {
  padding-right: var(--content-padding);
  padding-left: var(--content-padding);
  margin: 0 auto;
}

.mnr-half-content-section__right,
.mnr-half-content-section__left {
  max-width: var(--half-content-width);
}

.mnr-half-content-section__left {
  margin-left: auto;
}

.mnr-half-content-section__right {
  margin-right: auto;
}

.mnr-no-list-style {
  margin: 0;
  list-style: none;
}

.mnr-c-first-section {
  margin-top: var(--first-section-pad-top);
}

.mnr-c-middle-section {
  padding-top: var(--middle-section-pad);
  padding-bottom: var(--middle-section-pad);
}

.mnr-c-middle-section-sep {
  margin-bottom: var(--middle-section-pad);
}

.mnr-c-last-section {
  margin-bottom: var(--last-section-pad-bot);
}

/* Article Card */

.mnr-article-card {
  position: relative;
  background-color: var(--neutral1);
  margin-bottom: 30px;
}

.mnr-article-card * {
  -webkit-transition: all 0.35s;
  transition: all 0.35s;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.mnr-article-card__img-container {
  position: relative;
  display: block;
  overflow: hidden;
  height: 200px;
}

.mnr-article-card__img-container img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
}

.mnr-article-card:hover .mnr-article-card__img-container img {
  -webkit-transform: scale(1.3) rotate(5deg);
  transform: scale(1.3) rotate(5deg);
}

.mnr-article-card__content {
  padding-top: 12px;
}

.mnr-article-card__title {
  margin: 0;
  color: var(--primary);
}

.mnr-article-card:hover .mnr-article-card__title {
  color: var(--secondary);
}

.mnr-article-card__date {
  margin: 0.5rem 0 !important;
  color: var(--secondary);
}

/*Footer*/

.mnr-footer {
  position: relative;
  overflow: hidden;
  background: var(--neutral6);
}

.mnr-footer-logo {
  display: flex;
  align-items: center;
  justify-content: center;
  padding-top: var(--footer-logo-pad-top);
}

.mnr-footer-logo__img {
  width: 100%;
  max-width: 305px;
}

.mnr-footer .footer-widgets-container {
  padding: var(--footer-widgets-container-pad-top) var(--content-padding)
    var(--footer-widgets-container-pad-bot) var(--content-padding);
}

.mnr-footer-contacts-list,
.mnr-footer-contacts-list a,
.mnr-footer-widget-menu a {
  color: var(--neutral1);
}

.mnr-footer-contacts-list a:hover,
.mnr-footer-widget-menu a:hover,
.mnr-footer-widget-menu li.current-menu-item a {
  color: var(--neutral3);
}

.mnr-footer-contacts-list p {
  margin-bottom: 0;
}

.mnr-footer .site-info {
  background-color: var(--neutral1);
}

.mnr-footer-bar-menu {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}

.mnr-footer-bar-menu li {
  display: inline-block;
}

.mnr-footer-bar-menu li::after {
  margin: 0 8px;
  color: var(--neutral6);
  content: " |";
}

.mnr-footer-bar-menu li:last-child::after {
  display: none;
}

.mnr-footer-bar-menu a {
  color: var(--neutral6);
}

.mnr-footer-bar-menu a:hover,
.mnr-footer-bar-menu li.current-menu-item a {
  color: var(--neutral4);
}

.mnr-footer .site-info .inside-site-info {
  align-items: center;
}

.mnr-footer .site-info p:empty {
  display: none;
}
